API Reference2026-02-18 (Latest)Merchants

Update a merchant

PATCH
/v1/merchants/{merchantId}

Authorization

headerApi-Key<token>

Path Parameters

merchantId*string

Request Body

application/json
  1. body
merchantName?string

Updated display name

Length1 <= length <= 256
merchantEmail?string

Updated contact email

Match^(?!\.)(?!.*\.\.)([A-Za-z0-9_'+\-\.]*)[A-Za-z0-9_+-]@([A-Za-z0-9][A-Za-z0-9\-]*\.)+[A-Za-z]{2,}$
Formatemail
iconUrl?|

Updated logo URL (HTTPS only), or null to unset

Response Body

Merchant updated

application/json
  1. response
merchant*
curl -X PATCH 'https://api.pay.walletconnect.com/v1/merchants/string' \  -H 'Content-Type: application/json' \  -d '{}'
{  "merchant": {    "id": "mrch_7kBz2qR9xPvLmN4Yw",    "name": "Acme Store v2",    "email": "billing@acme.store",    "status": "active",    "iconUrl": "https://imagedelivery.net/example/acme-icon.png",    "createdAt": "2025-06-15T10:30:00.000Z"  }}